Subject: Re: test suite speedups via some not-so-crazy ideas

From: Junio C Hamano <[email-masked]>
Date: Wed, 03 Nov 2021 15:12:47 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

>  8. To a first approximation, does anyone really care about getting an
>     exhaustive list of all failures in a run, or just that we have *a*
>     failure? You can always do an exhaustive run later.

I do, not necessarily because I want to catch all failures, but
mostly because I want to use the the number of failing tests as a
rough sanity check.  I expect that the number is low, but not
necessarily zero, in the normal state, but if I see many in a run,
that rings different bells.  If we stop at the first failure, it
becomes harder to do this, and having to go there and restart with
"this time run the full set" manually is not really feasible.